org.apache.ignite.internal.processors.cache.distributed.dht

## Class GridDhtTxQueryEnlistFuture

- java.lang.Object
- - org.apache.ignite.internal.util.future.GridFutureAdapter<R>
  - - org.apache.ignite.internal.processors.cache.GridCacheFutureAdapter<T>
    - - org.apache.ignite.internal.processors.cache.distributed.dht.GridDhtTxAbstractEnlistFuture<Long>
      - - org.apache.ignite.internal.processors.cache.distributed.dht.GridDhtTxQueryAbstractEnlistFuture
        - - org.apache.ignite.internal.processors.cache.distributed.dht.GridDhtTxQueryEnlistFuture

All Implemented Interfaces:
  IgniteInternalFuture<Long>, DhtLockFuture<Long>, GridCacheFuture<Long>

    public final class GridDhtTxQueryEnlistFuture
    extends GridDhtTxQueryAbstractEnlistFuture

Cache query lock future.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.ignite.internal.processors.cache.distributed.dht.GridDhtTxAbstractEnlistFuture

`GridDhtTxAbstractEnlistFuture.LockTimeoutObject`

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.cache.distributed.dht.GridDhtTxQueryAbstractEnlistFuture

`cnt`

### Fields inherited from class org.apache.ignite.internal.processors.cache.distributed.dht.GridDhtTxAbstractEnlistFuture

`cctx, deploymentLdrId, futId, hasNearNodeUpdates, keepBinary, lockVer, log, mvccSnapshot, nearFutId, nearLockVer, nearMiniId, nearNodeId, newDhtNodes, skipNearNodeUpdates, threadId, timeout, timeoutObj, tx`

### Constructor Summary

Constructors
Constructor and Description
`GridDhtTxQueryEnlistFuture(UUID nearNodeId, GridCacheVersion nearLockVer, MvccSnapshot mvccSnapshot, long threadId, IgniteUuid nearFutId, int nearMiniId, GridDhtTxLocalAdapter tx, int[] cacheIds, int[] parts, String schema, String qry, Object[] params, int flags, int pageSize, long timeout, GridCacheContext<?,?> cctx)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected UpdateSourceIterator<?>` `createIterator()` Gets source to be updated iterator.
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.processors.cache.distributed.dht.GridDhtTxQueryAbstractEnlistFuture

`onEntryProcessed, result0`

### Methods inherited from class org.apache.ignite.internal.processors.cache.distributed.dht.GridDhtTxAbstractEnlistFuture

`clearLockFuture, futureId, init, markNotTrackable, needResult, onDone, onError, onNodeLeft, onResult, timeoutException, trackable`

### Methods inherited from class org.apache.ignite.internal.processors.cache.GridCacheFutureAdapter

`duration, onDone, startTime`

### Methods inherited from class org.apache.ignite.internal.util.future.GridFutureAdapter

`cancel, chain, chain, error, get, get, get, getUninterruptibly, ignoreInterrupts, isCancelled, isDone, isFailed, listen, logger, onCancelled, onDone, onDone, onDone, reset, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.IgniteInternalFuture

`cancel, chain, chain, error, get, get, get, getUninterruptibly, isCancelled, isDone, listen, result`

### Constructor Detail

#### GridDhtTxQueryEnlistFuture

    public GridDhtTxQueryEnlistFuture(UUID nearNodeId,
                                      GridCacheVersion nearLockVer,
                                      MvccSnapshot mvccSnapshot,
                                      long threadId,
                                      IgniteUuid nearFutId,
                                      int nearMiniId,
                                      GridDhtTxLocalAdapter tx,
                                      int[] cacheIds,
                                      int[] parts,
                                      String schema,
                                      String qry,
                                      Object[] params,
                                      int flags,
                                      int pageSize,
                                      long timeout,
                                      GridCacheContext<?,?> cctx)

Parameters:
  `nearNodeId` - Near node ID.
  `nearLockVer` - Near lock version.
  `mvccSnapshot` - Mvcc snapshot.
  `threadId` - Thread ID.
  `nearFutId` - Near future id.
  `nearMiniId` - Near mini future id.
  `tx` - Transaction.
  `cacheIds` - Involved cache ids.
  `parts` - Partitions.
  `schema` - Schema name.
  `qry` - Query string.
  `params` - Query parameters.
  `flags` - Flags.
  `pageSize` - Fetch page size.
  `timeout` - Lock acquisition timeout.
  `cctx` - Cache context.

### Method Detail

#### createIterator

    protected UpdateSourceIterator<?> createIterator()
                                              throws IgniteCheckedException

Gets source to be updated iterator.

Specified by:
  `createIterator` in class `GridDhtTxAbstractEnlistFuture<Long>`
Returns:
  iterator.
Throws:
  `IgniteCheckedException` - If failed.

#### toString

    public String toString()

Overrides:
  `toString` in class `GridFutureAdapter<Long>`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022